petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerSocketSetConnection

Sets the machine and port that a PETSc socket viewer is to use

### Synopsis

    PetscErrorCode  PetscViewerSocketSetConnection(PetscViewer v,const char machine[],int port)

Logically Collective on PetscViewer Many br

### Input Parameters

| v | - viewer to connect Many br
| machine | - host to connect to, use NULL for the local machine,use "server" to passively wait for Many bra connection from elsewhere Many br
| port | - the port on the machine one is connecting to, use PETSC_DEFAULT for default Many br

Many br

### See Also

PetscViewerSocketOpen()

Level:advanced
Location:src/sys/classes/viewer/impls/socket/send.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages